name: camofox
services:
    camofox:
        image: camofox-browser:135.0.1-x86_64
        container_name: Camofox
        restart: unless-stopped
        ports:
            - "127.0.0.1:9377:9377"
            - "127.0.0.1:6080:6080"
        environment:
            CAMOFOX_PORT: "9377"
            ENABLE_VNC: "1"
            VNC_BIND: "0.0.0.0"
            VNC_RESOLUTION: "1920x1080"
            MAX_OLD_SPACE_SIZE: "2048"
        volumes:
            - /DATA/AppData/camofox:/root/.camofox
            - /DATA/AppData/camofox/camofox.config.json:/app/camofox.config.json
networks:
    default:
        name: camofox_default
x-casaos:
    author: self
    category: self
    hostname: 127.0.0.1
    icon: https://icon.casaos.io/main/all/firefox.png
    index: /
    is_uncontrolled: false
    port_map: "6080"
    scheme: http
    store_app_id: camofox
    title:
        custom: Camofox Browser
